use std::{io::{Error as IOError, ErrorKind}, path::StripPrefixError};

use glob::PatternError;
#[derive(Debug)]
pub struct Error {
    message: String,
}

impl From<String> for Error {
    fn from(value: String) -> Self {
        Self { message: value }
    }
}

impl From<PatternError> for Error {
    fn from(value: PatternError) -> Self {
        Self {
            message: value.to_string(),
        }
    }
}

impl From<StripPrefixError> for Error {
    fn from(value: StripPrefixError) -> Self {
        Self {
            message: value.to_string(),
        }
    }
}

impl From<Error> for IOError {
    fn from(value: Error) -> Self {
        IOError::new(ErrorKind::Other, value.message)
    }
}

